## org.gnu.gdk
Class Atom

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Atom

public class Atom
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Atom(Handle handle)` Builds an atom with the specified handle.
`Atom(java.lang.String name, boolean onlyIfExists)`

Method Summary
`protected static Handle` `gdk_atom_intern(java.lang.String atomName, boolean onlyIfExists)` BEGINNING OF GENERATED CODE
`protected static java.lang.String` `gdk_atom_name(Handle atom)`
`java.lang.String` `getName()` Obtains the atom's name.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Atom

    public Atom(java.lang.String name,
                boolean onlyIfExists)

### Atom

    public Atom(Handle handle)

  Builds an atom with the specified handle.

Method Detail

### getName

    public java.lang.String getName()

  Obtains the atom's name.

  Returns:
    The atom's name

### gdk_atom_intern

    protected static final Handle gdk_atom_intern(java.lang.String atomName,
                                                  boolean onlyIfExists)

  BEGINNING OF GENERATED CODE

### gdk_atom_name

    protected static final java.lang.String gdk_atom_name(Handle atom)